processing: "default output vector layer extension" not respected by some tools

2018-11-19 11:56 PM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28377

Description

When setting "default output vector layer extension" to GPKG, some tools are still writing shapefiles. An example is "split vector layer".

I think, most of the tools never haven been ported to support multi-layer vector sets.

Associated revisions

Revision 8446d3bd - 2019-01-29 01:05 AM - Alexander Bruy

[processing][needs-docs] native vector split algorithm now outputs

GeoPackages instead of shapefiles (refs #20557)

Also remove default output extension Processing settings as they are not

used anymore.

Revision a9466cd0 - 2019-01-29 04:35 PM - Alexander Bruy

[processing][needs-docs] native vector split algorithm now outputs

GeoPackages instead of shapefiles (refs #20557)

Also remove default output extension Processing settings as they are not

used anymore.

(cherry picked from commit 8446d3bdf0089cdee6316e40a7cd0047dbf455c1)

History

#1 - 2018-11-20 12:00 AM - Tobias Wendorff

- Description updated

#2 - 2018-11-20 11:47 AM - Giovanni Manghi

- Category changed from Unknown to Processing/Core

#3 - 2019-01-29 07:19 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Closing, as "Vector Split" now produced GeoPackages and default output format settings are not used by Processing and removed.
